## com.saxonica.config
Class DynamicLoaderPE

    java.lang.Object
      net.sf.saxon.trans.DynamicLoader
          com.saxonica.config.DynamicLoaderPE

Direct Known Subclasses:
  DynamicLoaderEE

    public class DynamicLoaderPE

extends DynamicLoader

Specialization of DynamicLoader for use in Saxon-PE

Field Summary

Fields inherited from class net.sf.saxon.trans.DynamicLoader
`knownClasses`

Constructor Summary
`DynamicLoaderPE()`

Method Summary
`protected void` `registerKnownClasses()` Register classes that might be dynamically loaded even though they are contained within Saxon itself.

Methods inherited from class net.sf.saxon.trans.DynamicLoader
`getClass, getClassLoader, getInstance, getInstance, setClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicLoaderPE

    public DynamicLoaderPE()

Method Detail

### registerKnownClasses

    protected void registerKnownClasses()

  Register classes that might be dynamically loaded even though they are contained within Saxon itself. This typically occurs for default implementations of classes that can be substituted or subclassed by the user.

  Overrides:
    `registerKnownClasses` in class `DynamicLoader`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.